﻿//获取当前位置坐标
document.addEventListener("plusready", timed, false);

//每10分钟重新定位（2分钟检测一次）
function timed() {
	if(localStorage.ltime) {
		var createTime = new Date(localStorage.ltime);
		var currentTime = new Date();
		if(Number(currentTime) - Number(createTime) > 600000) {
			getGeocode();
		}
	} else {
		getGeocode();
	}
	t = setTimeout("timed()", 120000)
}

function getGeocode() {
	plus.geolocation.getCurrentPosition(function(position) {
		var codns = position.coords; //获取地理坐标信息；
		var lat = codns.latitude; //获取到当前位置的纬度；
		var longt = codns.longitude; //获取到当前位置的经度
		localStorage.lat = lat;
		localStorage.lon = longt;
		Post("Common/SetCoord", {
			latitude: lat,
			longitude: longt
		});
		localStorage.ltime = new Date();
	}, function(e) {
		console.log(e.message);
		//plus.nativeUI.toast("获取定位位置信息失败：" + e.message);
	}, {
		timeout: 10000
	});
}