function fdetail(id, title) {
	loaderPage('Fdetail.html', {
		id: id,
		title: title
	});
}

function addTask(id, name) {
	loginDo(function() {
		loaderPage('addTask.html', {
			id: id,
			name: name
		});
	});
}

function addSkill(id, name) {
	loginDo(function() {
		loaderPage('addSkill.html', {
			id: id,
			name: name
		});
	});
}

function showDialog(id) {
	loaderPage('dialog.html', {
		id: id
	});
}

function selectTaskType() {
	loaderPage('selectTaskType.html');
}

function selectSkillType() {
	loaderPage('selectSkillType.html');
}

function setting() {
	loaderPage('setting.html');
}

function index() {
	//	var tmp = getPage("index.html");
	//	mui.openWindow({
	//		id: "index.html"
	//	})
	//	return;
	loaderPage('home.html');
}

function list(type) {
	loaderPage('list.html', {
		type: type
	});
}

function message() {
	loaderPage('message.html');
}

function mycenter() {
	loaderPage('mycenter.html');
}

function myrating() {
	loaderPage('myrating.html');
}

function evaluatedetail(id) {
	loaderPage('evaluatedetail.html', {
		id: id
	});
}

function myeveluatelist(id, type) {
	loaderPage('myeveluatelist.html', {
		id: id,
		type: type
	});
}

function report(id, name) {
	loaderPage('report.html', {
		id: id,
		name: name
	});
}

function refundApply(id, price) {
	loaderPage('refundApply.html', {
		id: id,
		price: price
	});
}

function showuser(id) {
	loaderPage('usershow.html', {
		id: id
	});
}

function taskPerform(id, price) {
	loaderPage('perform.html', {
		id: id,
		price: price
	});
}

function taskEvaluate(id, price) {
	loaderPage('evaluate.html', {
		id: id,
		price: price
	});
}

function showBid(id) {
	loaderPage('bid.html', {
		id: id
	});
}

function doSearch(t, k) {
	loaderPage('searchResult.html', {
		searchType: t,
		searchKey: k //打开详情页面 
	});
}

function buySkill(id, name, price) {
	loaderPage('buy.html', {
		id: id,
		name: name,
		price: price
	});
}

function showSkill(id) {
	loaderPage('skillInfo.html', {
		id: id
	});
}

function showBidList(id) {
	loaderPage('bidList.html', {
		id: id
	});
}

function showTask(id) {
	loaderPage('taskInfo.html', {
		id: id
	});
}

function getPage(id, type) {
	var tmpPage = null;
	if(typeof plus != "undefined") {
		tmpPage = plus.webview.getWebviewById(id);
	}
	if(tmpPage == null) {
		tmpPage = mui.preload({
			url: id,
			id: id
		});
		tmpPage.isNew = true;
	} else {
		tmpPage.isNew = false;
	}
	return tmpPage;
}
function fireWin(win, href, param) {
	if(!win.isNew) {
		mui.fire(win, 'exq_page_load', param);
		mui.openWindow({
			id: href
		});
	} else {
		win.addEventListener('loaded', function() {
			mui.fire(win, 'exq_page_load', param);
			mui.openWindow({
				id: href
			});
		});
	}
}

function loaderPage(href, param) {
	if(navigator.userAgent.indexOf("Html5Plus")<=0)
	{
		mui.openWindow("http://a.app.qq.com/o/simple.jsp?pkgname=com.exueqi.www");
		return;
	}
	mui.plusReady(function() {
		if(plus.os.name == "Android") {
			var tmp = getPage("template.html?" + href);

			fireWin(tmp, "template.html?" + href, param);
			//			setTimeout(function() {
			//			}, 100);
		} else {
			var p = getPage(href);
			fireWin(p, href, param);
		}
	});		
	return;
}